Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ServletSessionRuntimeMBean

public interface ServletSessionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic servlet session within a WebLogic server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getMainAttribute()` Gets a Stringified copy of an attribute specified by the user (like user-name) associated with this session.
`long` | `getTimeLastAccessed()` Last time accessed.
`void` | `invalidate()` Invalidates this session.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### invalidate

    public void invalidate()

  Invalidates this session.

### getTimeLastAccessed

    public long getTimeLastAccessed()

  Last time accessed.

  Returns:
    The timeLastAccessed value

### getMainAttribute

    public java.lang.String getMainAttribute()

  Gets a Stringified copy of an attribute specified by the user (like user-name) associated with this session. Where should this attribute be specified? In ServletDeploymentRuntimeMBean?

  Returns:
    The mainAttribute value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD